package data.scripts.everyframe;

import com.fs.starfarer.api.combat.BaseEveryFrameCombatPlugin;
import com.fs.starfarer.api.combat.CombatEngineAPI;
import data.scripts.SWPModPlugin;

public class SWP_PluginStarter extends BaseEveryFrameCombatPlugin {

    @Override
    public void init(CombatEngineAPI engine) {
        if (SWPModPlugin.hasMagicLib) {
            engine.addPlugin(new SWP_Trails());
        }
    }
}
